import 'package:intl/intl.dart';

class Purchase {
  int? purchaseId;
  late int customerId;
  late int productId;

  late DateTime dateAdd;
  late double purchaseSum;
  late String currency;

  Purchase({required customerId, required productId});

  Purchase.fromJson(Map json) {
    purchaseId = json['purchaseId'];
    customerId = json['customerId'];
    productId = json['productId'];
    dateAdd = DateTime.parse(json['dateAdd']);
    purchaseSum = json['purchaseSum'];
    currency = json['currency'];
  }

  Map<String, dynamic> toJson() => {
        "purchaseId": purchaseId,
        "customerId": customerId,
        "productId": productId,
        "purchaseSum": purchaseSum,
        "dateAdd": DateFormat('yyyy-MM-dd HH:mm:ss').format(dateAdd),
        "currency": currency,
      };
}
